Debian Bug report logs - #646456
singular: FTBFS: feread.cc:308:22: error: format not a string literal and no format arguments [-Werror=format-security]

version graph

Package: src:singular; Maintainer for src:singular is Tim Abbott <tabbott@mit.edu>;

Reported by: Mònica Ramírez Arceda <monica@probeta.net>

Date: Mon, 24 Oct 2011 11:21:14 UTC

Severity: serious

Tags: jessie, patch, sid, wheezy

Found in version singular/3-0-4-3.dfsg-3.1

Fixed in version 3-0-4-3.dfsg-3.1+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tim Abbott <tabbott@mit.edu>:
Bug#646456; Package src:singular. (Mon, 24 Oct 2011 11:21:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mònica Ramírez Arceda <monica@probeta.net>:
New Bug report received and forwarded. Copy sent to Tim Abbott <tabbott@mit.edu>. (Mon, 24 Oct 2011 11:21:22 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mònica Ramírez Arceda <monica@probeta.net>
To: submit@bugs.debian.org
Subject: singular: FTBFS: feread.cc:308:22: error: format not a string literal and no format arguments [-Werror=format-security]
Date: Mon, 24 Oct 2011 13:16:01 +0200
Source: singular
Version: 3-0-4-3.dfsg-3.1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20111022 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> g++ -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -fPIC --no-rtti --no-exceptions --no-rtti -pipe -fno-implicit-templates --no-exceptions -I. -I/build/singular-5NaXZs/singular-3-0-4-3.dfsg/debian/tmp//usr/include/singular/ -I/build/singular-5NaXZs/singular-3-0-4-3.dfsg/debian/tmp//usr/include/singular/  -DNDEBUG -DOM_NDEBUG -Dx86_64_Linux -DHAVE_CONFIG_H -c feread.cc
> feread.cc: In function 'char* fe_fgets_stdin_rl(char*, char*, int)':
> feread.cc:211:8: warning: deprecated conversion from string constant to 'char*' [-Wwrite-strings]
> feread.cc: In function 'char* fe_fgets(char*, char*, int)':
> feread.cc:308:22: error: format not a string literal and no format arguments [-Werror=format-security]
> cc1plus: some warnings being treated as errors
> 
> make[2]: *** [feread.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/10/22/singular_3-0-4-3.dfsg-3.1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Information forwarded to debian-bugs-dist@lists.debian.org, Tim Abbott <tabbott@mit.edu>:
Bug#646456; Package src:singular. (Sat, 03 Dec 2011 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mònica Ramírez Arceda <monica@probeta.net>:
Extra info received and forwarded to list. Copy sent to Tim Abbott <tabbott@mit.edu>. (Sat, 03 Dec 2011 20:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 646456@bugs.debian.org (full text, mbox):

From: Mònica Ramírez Arceda <monica@probeta.net>
To: 646456@bugs.debian.org
Subject: singular: diff for NMU version 3-0-4-3.dfsg-3.2
Date: Sat, 3 Dec 2011 21:14:30 +0100
[Message part 1 (text/plain, inline)]
tags 646456 + patch
thanks

I've prepared an NMU for singular (versioned as 3-0-4-3.dfsg-3.2), trying to
fix this bug.

Thanks for your work!
[singular-3-0-4-3.dfsg-3.2-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Mònica Ramírez Arceda <monica@probeta.net> to control@bugs.debian.org. (Sat, 03 Dec 2011 20:21:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tim Abbott <tabbott@mit.edu>:
Bug#646456; Package src:singular. (Sat, 03 Dec 2011 22:00:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mònica Ramírez Arceda <monica@probeta.net>:
Extra info received and forwarded to list. Copy sent to Tim Abbott <tabbott@mit.edu>. (Sat, 03 Dec 2011 22:00:11 GMT) Full text and rfc822 format available.

Message #17 received at 646456@bugs.debian.org (full text, mbox):

From: Mònica Ramírez Arceda <monica@probeta.net>
To: 641572@bugs.debian.org, 558958@bugs.debian.org, 646456@bugs.debian.org
Subject: singular: diff for NMU version 3-0-4-3.dfsg-3.2
Date: Sat, 3 Dec 2011 22:55:58 +0100
[Message part 1 (text/plain, inline)]
Package: singular
Version: 3-0-4-3.dfsg-3.1
Severity: normal
Tags: patch

Dear maintainer,

I've prepared an NMU for singular (versioned as 3-0-4-3.dfsg-3.2) to
fix bugs #646456, #641572 and #558958.

Thanks for your work!
[singular-3-0-4-3.dfsg-3.2-nmu.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tim Abbott <tabbott@mit.edu>:
Bug#646456; Package src:singular. (Sat, 17 Dec 2011 13:33:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Tim Abbott <tabbott@mit.edu>. (Sat, 17 Dec 2011 13:33:14 GMT) Full text and rfc822 format available.

Message #22 received at 646456@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 558958@bugs.debian.org, 641572@bugs.debian.org, 646456@bugs.debian.org
Cc: monica@probeta.net
Subject: singular: diff for NMU version 3-0-4-3.dfsg-3.2
Date: Sat, 17 Dec 2011 14:31:09 +0100
[Message part 1 (text/plain, inline)]
tags 558958 + patch
tags 558958 + pending
tags 641572 + pending
tags 646456 + pending
thanks

Dear maintainer,

Mònica has prepared an NMU for singular (versioned as 3-0-4-3.dfsg-3.2)
and I've uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.   Homepage: http://info.comodo.priv.at/ - OpenPGP key ID: 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Leonard Cohen: Tonight Will Be Fine
[singular-3-0-4-3.dfsg-3.2-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 17 Dec 2011 13:33:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tim Abbott <tabbott@mit.edu>:
Bug#646456; Package src:singular. (Sat, 17 Dec 2011 14:18:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Tim Abbott <tabbott@mit.edu>. (Sat, 17 Dec 2011 14:18:12 GMT) Full text and rfc822 format available.

Message #29 received at 646456@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 558958@bugs.debian.org, 641572@bugs.debian.org, 646456@bugs.debian.org
Cc: monica@probeta.net
Subject: Re: Bug#646456: singular: diff for NMU version 3-0-4-3.dfsg-3.2
Date: Sat, 17 Dec 2011 15:15:03 +0100
[Message part 1 (text/plain, inline)]
tags 558958 - pending
tags 641572 - pending
tags 646456 - pending
thanks

On Sat, 17 Dec 2011 14:31:09 +0100, gregor herrmann wrote:

> Mònica has prepared an NMU for singular (versioned as 3-0-4-3.dfsg-3.2)
> and I've uploaded it to DELAYED/2. Please feel free to tell me if I
> should delay it longer.

And cancelled again, the package builds fine on i386 but FTBFS on
amd64:

g++ -shared -shared -Wl,-soname,libsingular-`cat ../VERSION`.so -fPIC -o libsingular-`cat ../VERSION`.so \
    libsingular-tesths.o iparith.o mpsr_Tok.o claptmpl.o \
    grammar.o scanner.o attrib.o eigenval_ip.o extra.o fehelp.o feOpt.o ipassign.o ipconv.o ipid.o iplib.o ipprint.o ipshell.o lists.o sdb.o fglm.o interpolation.o silink.o subexpr.o janet.o wrapper.o libparse.o sing_win.o gms.o pcv.o maps_ip.o walk.o walk_ip.o cntrlc.o misc.o calcSVD.o  slInit_Dynamic.o -lkernel -L../kernel -L../factory -L../libfac -L/tmp/buildd/singular-3-0-4-3.dfsg/debian/tmp//usr/lib/singular -lsingfac -lsingcf -lntl -lreadline -lgmp -lomalloc_ndebug -ldl
/usr/bin/ld: ../factory/libsingcf.a(canonicalform.o): relocation R_X86_64_32S against `cf_glob_switches' can not be used when making a shared object; recompile with -fPIC
../factory/libsingcf.a: could not read symbols: Bad value
collect2: ld returned 1 exit status
make[2]: *** [libsingular] Error 1
make[2]: Leaving directory `/tmp/buildd/singular-3-0-4-3.dfsg/Singular'
make[1]: *** [libsingular] Error 2
make[1]: Leaving directory `/tmp/buildd/singular-3-0-4-3.dfsg'
make: *** [common-install-impl] Error 2
dpkg-buildpackage: error: fakeroot debian/rules binary-arch gave error exit status 2


Sorry for the noise.


Cheers,
gregor
 
-- 
 .''`.   Homepage: http://info.comodo.priv.at/ - OpenPGP key ID: 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Featuring The Dubliners, The Fureys And Davey Arthur Etc.: Dublin, My Dublin, Paddy Reill
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 17 Dec 2011 14:18:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tim Abbott <tabbott@mit.edu>:
Bug#646456; Package src:singular. (Sat, 03 Mar 2012 13:42:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Tim Abbott <tabbott@mit.edu>. (Sat, 03 Mar 2012 13:42:14 GMT) Full text and rfc822 format available.

Message #36 received at 646456@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: gregor herrmann <gregoa@debian.org>, 646456@bugs.debian.org
Cc: 558958@bugs.debian.org, 641572@bugs.debian.org, monica@probeta.net
Subject: Re: Bug#646456: singular: diff for NMU version 3-0-4-3.dfsg-3.2
Date: Sat, 3 Mar 2012 13:39:08 +0000
On Sat, 17 Dec 2011 at 15:15:03 +0100, gregor herrmann wrote:
> On Sat, 17 Dec 2011 14:31:09 +0100, gregor herrmann wrote:
> > Mònica has prepared an NMU for singular (versioned as 3-0-4-3.dfsg-3.2)
> > and I've uploaded it to DELAYED/2. Please feel free to tell me if I
> > should delay it longer.
> 
> And cancelled again, the package builds fine on i386 but FTBFS on
> amd64:
[...]
> /usr/bin/ld: ../factory/libsingcf.a(canonicalform.o): relocation R_X86_64_32S against `cf_glob_switches' can not be used when making a shared object; recompile with -fPIC

I no longer get this failure, but the regression tests fail (bug filed)
and I have no idea how else you test this package, so I'm afraid I'm not
going to sponsor this.

    S




Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:37:14 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Fri, 17 May 2013 12:06:35 GMT) Full text and rfc822 format available.

Notification sent to Mònica Ramírez Arceda <monica@probeta.net>:
Bug acknowledged by developer. (Fri, 17 May 2013 12:06:35 GMT) Full text and rfc822 format available.

Message #43 received at 646456-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 534148-done@bugs.debian.org,558958-done@bugs.debian.org,576547-done@bugs.debian.org,576548-done@bugs.debian.org,595004-done@bugs.debian.org,641572-done@bugs.debian.org,646456-done@bugs.debian.org,662001-done@bugs.debian.org,662002-done@bugs.debian.org,701170-done@bugs.debian.org,
Cc: singular@packages.debian.org, singular@packages.qa.debian.org
Subject: Bug#707977: Removed package(s) from unstable
Date: Fri, 17 May 2013 12:03:08 +0000
Version: 3-0-4-3.dfsg-3.1+rm

Dear submitter,

as the package singular has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/707977

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 15 Jun 2013 07:43:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:47:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.